
<?php

include_once('db_conf.php');

 
$db= mysqli_connect ("$dbhost","$dbuser","$dbpw") or die(mysqli_error()." - Serverzugriff gescheitert!");
mysqli_select_db($db, $database) or die(mysqli_error()." - Datenbankzugriff gescheitert!");
 
 $abfrage = "SELECT * FROM `position` ORDER BY pos_date DESC LIMIT 1 ";

 $ergebnis= mysqli_query ($db, $abfrage);

 while ($zeile = mysqli_fetch_array( $ergebnis, MYSQLI_ASSOC))
 {
	$lat = $zeile['pos_breitengrad'];
	$long = $zeile['pos_laengengrad'];
	$geschw = $zeile['pos_speed'];
	$kurs = $zeile['pos_course'];
	$lastdate = $zeile['pos_date'];
	$hoehe = $zeile['pos_heigh'];
	$sat = $zeile['pos_sat'];
 }
 
$l10nDate = new DateTime($lastdate, new DateTimeZone('UTC'));
$l10nDate->setTimeZone(new DateTimeZone('Europe/Berlin'));
$dateInLocal= $l10nDate->format('d.m.Y H:i:s'); 


$abfrage2 = "SELECT * FROM `position` WHERE pos_speed > 2 ORDER BY pos_date DESC Limit 1";

 $ergebnis= mysqli_query ($db, $abfrage2);

 while ($zeile2 = mysqli_fetch_array( $ergebnis, MYSQLI_ASSOC))
 {
	$lastdate2 = $zeile2['pos_date'];
 }

$l10nDate2 = new DateTime($lastdate2, new DateTimeZone('UTC'));
$l10nDate2->setTimeZone(new DateTimeZone('Europe/Berlin'));
$dateInLocal2= $l10nDate2->format('d.m.Y H:i:s'); 

 ?>
 


<html>
  <head>
    <title>WoMoMap</title>
    <meta name="viewport" content="initial-scale=1.0">
    <meta charset="utf-8">
    <style>
      /* Always set the map height explicitly to define the size of the div
       * element that contains the map. */
      #map {
        height: 100%;
		width: 75%;
		float:left;
      }
	  #info {
        height: 100%;
		width: 25%;
		float:left;
		
      }
	  
      /* Optional: Makes the sample page fill the window. */
      html, body {
        height: 100%;
        margin: 0;
        padding: 0;
		font-family: Arial;
		font-size:12px;
      }
    </style>
  </head>
  <body>
    <div id="map"></div>
    <script>
      var map;
		function initMap() {
		  const map = new google.maps.Map(document.getElementById("map"), {
			zoom: 12,
			
			<?php
			echo "center: {lat: ".$lat.", lng: ".$long."},";
			?>
			
		  });
		  const image =
			"https://camper-holidays.de/static/womo.png";
		  const marker = new google.maps.Marker({
			
			<?php
			echo "position: {lat: ".$lat.", lng: ".$long."},";
			?>
			map,
			icon: image,
		  });
		   const infowindow = new google.maps.InfoWindow({
			
			<?php
			echo 'content: "<b>Wohnmobil</b><p>('.$geschw.' km/h)<br>Richtung: '.$kurs.'°<br>'.$dateInLocal.'",';
			?>
			});
			 marker.addListener("click", () => {
				infowindow.open({
				  anchor: marker,
				  map,
				  shouldFocus: false,
				});
			  });
			infowindow.open(map, marker);
		}
     
    </script>
    <script src="https://maps.googleapis.com/maps/api/js?key=AAAAABBBBBCCCCCDDDDDEEEEEE&callback=initMap" async defer></script>
 
	<div id="info">
	
	<?php
	
	if ($kurs > 338 OR $kurs <= 22.5) {
		$kursstrg = "Nord";
	}else if ($kurs > 22.5 AND $kurs <= 68) {
		$kursstrg = "Nord-Ost";
	}else if ($kurs > 68 AND $kurs <= 113) {
		$kursstrg = "Ost";
	}else if ($kurs > 113 AND $kurs <= 158) {
		$kursstrg = "Süd-Ost";
	}else if ($kurs > 158 AND $kurs <= 203) {
		$kursstrg = "Süd";
	}else if ($kurs > 103 AND $kurs <= 248) {
		$kursstrg = "Süd-West";	
	}else if ($kurs > 248 AND $kurs <= 293) {
		$kursstrg = "West";
	}else if ($kurs > 293 AND $kurs <= 338) {
		$kursstrg = "Nord-West";
	}
	
	echo "<div style='width:100%; font-size:64px; text-align:center;'>". $geschw . " km/h </div>";
	echo "<p>";
	
	echo "<div style='width:100%; font-size:64px; text-align:center;'>". $kursstrg . "</div>";
	
	echo "<p>";
	
	echo "<div style='width:100%; font-size:64px; text-align:center;'>". $hoehe . "</div>";
	
	echo "<p>";
	
	echo '<div style="width:300px; background-color:#dedede; padding:5px;margin-left:auto; margin-right:auto; border:solid 1px;">';
	echo "Anzahl Sateliten: ".$sat;
	echo "<br>";
	echo "Letzte Fahrt am: ".$dateInLocal2;
	echo '</div>';
	?>
	<p>
	<div style="width:300px; background-color:#dedede; padding:5px;margin-left:auto; margin-right:auto; border:solid 1px;">
	<b>Route anlegen</b><br><br>
	<form action="create_route.php" method="POST">
	<label for="von" style="width:30px; display:block; float:left;">von</label><input type="date" name="von"><br>
	<label for="bis" style="width:30px; display:block; float:left;">bis</label> <input type="date" name="bis"><br>
	<label for="RName" style="width:30px; display:block; float:left;">Bez</label> <input type="text" name="RName">
	<input type="submit" value="Anlegen">
	</form>
	</div>
	<br>
	<div style="width:300px; background-color:#dedede; padding:5px;margin-left:auto; margin-right:auto; border:solid 1px;">
	<b>Vorhandene Routen</b><p>
	<?php
	 $abfrageR = "SELECT * FROM `routen` ORDER BY route_datum DESC LIMIT 10";

	 $ergebnisR= mysqli_query ($db, $abfrageR);

	 while ($zeile = mysqli_fetch_array( $ergebnisR, MYSQLI_ASSOC))
	 {

		echo "<a href='route.php?RouteID=".$zeile['route_id']."'>".$zeile['route_name']."</a><br>";

	 }
	
	?>
	</div>

	</div>

 </body>
</html>

